!
! this will go from raw images to calibration curves!!
!
! (provided that the necessary image catalogs have been created)
!
!
! Assume that src.cat contains the starting images
!
! bias-good.cat   contains bias images without dfsc0329.bdf
! no-bias.cat     contains all images that are _not_ bias frames
!
! sky-u.cat       contains all U sky flat fields
! sky-b.cat           "     "  B
! sky-v.cat                    V
! sky-i.cat                    I
! dome-u.cat      contains all U dome flat fields
! dome-b.cat                   B
! dome-v.cat                   V
! dome-r.cat                   R
! dome-i.cat                   I
! sky-nu.cat       contains all U sky normalized flat fields
! sky-nb.cat           "     "  B
! sky-nv.cat                    V
! sky-ni.cat                    I
! dome-nu.cat      contains all U dome normalized flat fields
! dome-nb.cat                   B
! dome-nv.cat                   V
! dome-nr.cat                   R
! dome-ni.cat                   I
!
! marka.cat        catalog of images of Landolt Mark A field
! pg1633.cat       catalog of images of Landolt PG 1633 field
! pg1657.cat       catalog of images of Landolt PG 1657 field
!
! standard_head.dat from all_head.dat with some editing:
!  * filter put in upper case 
!  * ESO filter id removed
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

! --- create master BIAS
!
average/image BIAS = bias-good.cat ? ? average

! --- subtact BIAS constant from all images
!
exec/cat compute/ima no-bias.cat = no-bias.cat - 297

! --- normalize all sky and dome flat fields
!
@@ norm-all-flats.prg

! --- create median sky flat fields
!     (or use mk-all-flats.prg)
!
avera/ima SKYU = sky-nu.cat ? ? median
avera/ima SKYB = sky-nb.cat ? ? median
avera/ima SKYV = sky-nv.cat ? ? median
avera/ima SKYI = sky-ni.cat ? ? median

! --- create median dome flat fields
!
avera/ima DOMEU = dome-nu.cat ? ? median
avera/ima DOMEB = dome-nb.cat ? ? median
avera/ima DOMEV = dome-nv.cat ? ? median
avera/ima DOMER = dome-nr.cat ? ? median
avera/ima DOMEI = dome-ni.cat ? ? median

! --- divide all the rest by the corresponding flat fields
!
@@ flat-all.prg

! --- for every image, get standard star centers interactively
!     Click on every field following the same order of stars
!
!     you will get tables like   myframe_cen.tbl  when cg is
!     used standalone. It will produce  myframe.bdf_cen if
!     used with exec/cat, so please debug!
!
exe/cat @@ cg marka.cat
exe/cat @@ cg pg1633.cat
exe/cat @@ cg pg1657.cat

! --- now compute aperture photometry for every image, based
!     on std star centers just found
!
@@ phot_all

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
! --- the procedure produces myframe_aperture.dat
!     and from now on you must switch to \supermongo\
!     
!     execute macros pgcurve, and then airmass, contained in
!     combine_frames.mac
!
